.product_boxn {
                  width: -webkit-fill-available;
    overflow: hidden;
    display: grid;
    grid-template-columns: 77% auto;
    align-items: center;
    margin: 7px 8px;
    background: white;
    color: black;
    border-radius: 4px;
    border: 1px solid #ffffff;
    box-shadow: 0px 0px 10px 0px #d2d2d28f;
    width: 100%;
    max-width: 500px;
	
	
}

.add_to_cart {
          width: fit-content;
    text-align: center;
    background: none;
    color: #1565a5;
    border: 1px solid;
    display: grid;
    align-items: center;
    grid-template-columns: 75% 25%;
    padding: 6px 12px;
    font-size: 14px;
    margin: 2px auto;
    border-radius: 3px;
    cursor: pointer;
}

.prod_added {    background: #4CAF50;
    color: white;
    display: flex;}

.product_boxn img {
    width: 100px;
    height: 100px;
    border-radius: 5px;
}
.product_boxn .pr_nm {
       padding: 3px 10px;
    font-weight: 600;
    font-size: 15px;
    text-align: left;
    display: grid;
}

.product_boxn .pr_mrp {
       display: inline-block;
    padding: 3px 0px 0px;
    font-weight: 500;
    color: gray;
    font-size: 12px;
    text-decoration: line-through;
	vertical-align: middle;
}

.product_boxn .pr_am {
        display: inline-block;
    padding: 3px 14px 0px;
    font-weight: 600;
    font-size: 15px;
    color: black;
    vertical-align: middle;
}


.product_details p{        font-weight: 600;
    padding: 4px 0px;
    font-size: 13px;
    margin: 0px;}
	
	.imagetoshow img {    width: auto;
    height: auto;
    max-width: 90vw;
    max-height: 90vh;
    left: 50%;
    transform: translate(-50%,-50%);}
	
	.out_of_stock {    background: white;
    color: #616161;
    font-size: 11px;
    border: 1px solid #d2d2d2;}
	
	.buy_btn_holder {}
	.pro_qty {}